commit 5a511f2ac9ed183fbf8bb689d480b530e1646f5a
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Mon Dec 20 01:18:06 2021

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index bf314c35ab4..40a9145a075 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20211219
+20211220
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index 3c31a76a07a..fb88ddb7803 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,13 @@
+2021-12-19  Patrick Palka  <ppalka@redhat.com>
+
+	Backported from master:
+	2021-12-19  Patrick Palka  <ppalka@redhat.com>
+
+	PR c++/103714
+	* constraint.cc (satisfy_declaration_constraints): Do
+	push_to_top_level and pop_from_top_level around the call to
+	satisfy_normalized_constraints.
+
 2021-12-16  Martin Sebor  <msebor@redhat.com>
 
 	PR c++/103703
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index 901e2504e10..4365d315946 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,23 @@
+2021-12-19  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-12-10  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/103418
+	* check.c (variable_check): Replace previous check of procedure
+	dummy arguments with INTENT(IN) attribute when passed to intrinsic
+	procedures by gfc_check_vardef_context.
+	* expr.c (gfc_check_vardef_context): Correct check of INTENT(IN)
+	dummy arguments for the case of sub-components of a CLASS pointer.
+
+2021-12-19  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-12-18  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/103412
+	* check.c (gfc_check_sizeof): Reject BOZ type argument.
+
 2021-12-15  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index b93b19912f6..80130a4560a 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,36 @@
+2021-12-19  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-12-10  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/103418
+	* gfortran.dg/move_alloc_8.f90: Adjust error messages.
+	* gfortran.dg/pointer_intent_9.f90: New test.
+
+2021-12-19  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-12-14  Harald Anlauf  <anlauf@gmx.de>
+
+	PR libfortran/103634
+	* gfortran.dg/intrinsic_pack_6.f90: New test.
+
+2021-12-19  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-12-18  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/103412
+	* gfortran.dg/illegal_boz_arg_2.f90: New test.
+
+2021-12-19  Patrick Palka  <ppalka@redhat.com>
+
+	Backported from master:
+	2021-12-19  Patrick Palka  <ppalka@redhat.com>
+
+	PR c++/103714
+	* g++.dg/cpp2a/concepts-uneval5.C: New test.
+
 2021-12-16  Martin Sebor  <msebor@redhat.com>
 
 	PR middle-end/101751
diff --git a/libgfortran/ChangeLog b/libgfortran/ChangeLog
index b4ace745f12..82723f467f8 100644
--- a/libgfortran/ChangeLog
+++ b/libgfortran/ChangeLog
@@ -1,3 +1,13 @@
+2021-12-19  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-12-14  Harald Anlauf  <anlauf@gmx.de>
+
+	PR libfortran/103634
+	* intrinsics/pack_generic.c (pack_internal): Handle case when the
+	array argument of PACK has one or more extents of size zero to
+	avoid invalid reads.
+
 2021-07-28  Release Manager
 
 	* GCC 11.2.0 released.

